Operation.SetValue (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3

## Class Operation.SetValue

- java.lang.Object
- - org.apache.cassandra.cql3.Operation.SetValue

- All Implemented Interfaces:
    Operation.RawUpdate
  Enclosing class:
    Operation

      public static class Operation.SetValue
      extends java.lang.Object
      implements Operation.RawUpdate

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetValue(Term.Raw value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCompatibleWith(Operation.RawUpdate other)`
    `Operation` | `prepare(CFMetaData cfm, ColumnDefinition receiver)` This method validates the operation (i.e.
    `protected java.lang.String` | `toString(ColumnSpecification column)`
    `Term.Raw` | `value()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SetValue

          public SetValue(Term.Raw value)

  - ### Method Detail

    - #### prepare

          public Operation prepare(CFMetaData cfm,
                                   ColumnDefinition receiver)
                            throws InvalidRequestException

      Description copied from interface: `Operation.RawUpdate`
      This method validates the operation (i.e. validate it is well typed) based on the specification of the receiver of the operation. It returns an Operation which can be though as post-preparation well-typed Operation.
      Specified by:
        `prepare` in interface `Operation.RawUpdate`
        `receiver` - the column this operation applies to.
      Returns:
        the prepared update operation.
      Throws:
        `InvalidRequestException`

    - #### toString

          protected java.lang.String toString(ColumnSpecification column)

    - #### isCompatibleWith

          public boolean isCompatibleWith(Operation.RawUpdate other)

      Specified by:
        `isCompatibleWith` in interface `Operation.RawUpdate`
      Returns:
        whether this operation can be applied alongside the `other` update (in the same UPDATE statement for the same column).

    - #### value

          public Term.Raw value()

Copyright © 2018 The Apache Software Foundation